From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/tavern/
Date: Thu, 8 Jun 2023 06:55:38 +0000 (UTC) [thread overview]
Message-ID: <1686207316.0077ae23dd15df50b2ba573c68920533998b1a56.mgorny@gentoo> (raw)
commit: 0077ae23dd15df50b2ba573c68920533998b1a56
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 8 06:55:16 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jun 8 06:55:16 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0077ae23
dev-python/tavern: Bump to 2.1.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/tavern/Manifest | 1 +
dev-python/tavern/tavern-2.1.0.ebuild | 54 +++++++++++++++++++++++++++++++++++
2 files changed, 55 insertions(+)
diff --git a/dev-python/tavern/Manifest b/dev-python/tavern/Manifest
index c180fba781bd..c282a0018fc4 100644
--- a/dev-python/tavern/Manifest
+++ b/dev-python/tavern/Manifest
@@ -1 +1,2 @@
DIST tavern-2.0.7.gh.tar.gz 207577 BLAKE2B 1583bfdb0ef013f65ed437bb613e87ad0d0e9375cceb3ed295dfe96afcdc11607b77b9e91cfe3db2f5b53a33be56db558f2f489ba60cda15c270ab9ec07118a2 SHA512 9e69d4dc3a3a06855cbbb567e9b73e62fe65832e022e3d0eb471d2eee9035950207abbba2fca5e0aeda091987bebafce78ba96814a41bf785dab5a48afdc5302
+DIST tavern-2.1.0.gh.tar.gz 209527 BLAKE2B 86023c19b5293a16f00f7f7e72e44e6ddfc51979cc10d8ba85265bdbddbdf6a2dab89d3f0588a3429eabba1871ebc97c5979d728e25fc5f27aea7dda58dc594f SHA512 a689ff8fa57bce5b11d7b3a34c89f1096fe45c2e5a5314196f67db43b5811580248ed70f5eb6bb69d619ce458248513205c7b3df876e4033dd96169d6680bbe9
diff --git a/dev-python/tavern/tavern-2.1.0.ebuild b/dev-python/tavern/tavern-2.1.0.ebuild
new file mode 100644
index 000000000000..6d527aada725
--- /dev/null
+++ b/dev-python/tavern/tavern-2.1.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A tool, library, and Pytest plugin for testing RESTful APIs"
+HOMEPAGE="
+ https://github.com/taverntesting/tavern/
+ https://pypi.org/project/tavern/
+"
+SRC_URI="
+ https://github.com/taverntesting/tavern/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/paho-mqtt[${PYTHON_USEDEP}]
+ dev-python/pyjwt[${PYTHON_USEDEP}]
+ dev-python/pykwalify[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/python-box[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/stevedore[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/colorlog[${PYTHON_USEDEP}]
+ dev-python/Faker[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # strip unnecessary pins, upstream doesn't update them a lot
+ sed -i -E -e 's:,?<=?[0-9.]+::' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ epytest -p tavern
+}
next reply other threads:[~2023-06-08 6:55 UTC|newest]
Thread overview: 65+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-06-08 6:55 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-05-03 15:10 [gentoo-commits] repo/gentoo:master commit in: dev-python/tavern/ Michał Górny
2025-05-03 14:35 Arthur Zamarin
2025-04-13 2:25 Michał Górny
2025-03-29 10:23 Michał Górny
2025-03-29 10:14 Sam James
2025-03-22 10:30 Michał Górny
2025-03-22 9:40 Arthur Zamarin
2025-03-09 3:35 Michał Górny
2025-03-09 3:35 Michał Górny
2025-03-08 7:24 Michał Górny
2024-05-28 20:49 Sam James
2024-05-12 2:37 Michał Górny
2024-05-01 17:44 Michał Górny
2024-05-01 16:48 Sam James
2024-04-14 2:43 Michał Górny
2024-04-11 19:04 Michał Górny
2024-04-11 17:13 Arthur Zamarin
2024-03-28 5:55 Michał Górny
2024-03-07 20:22 Jakov Smolić
2024-03-02 11:44 Michał Górny
2024-03-02 10:57 Arthur Zamarin
2024-02-20 14:13 Michał Górny
2024-02-20 14:06 Jakov Smolić
2024-02-18 3:36 Michał Górny
2024-02-11 3:35 Michał Górny
2024-01-28 3:51 Michał Górny
2024-01-23 18:18 Arthur Zamarin
2024-01-21 6:21 Michał Górny
2024-01-13 9:36 Arthur Zamarin
2023-12-26 10:46 Michał Górny
2023-12-09 15:13 Michał Górny
2023-12-09 14:58 Michał Górny
2023-11-22 14:30 Michał Górny
2023-11-22 13:11 Arthur Zamarin
2023-11-19 7:47 Michał Górny
2023-10-24 5:58 Michał Górny
2023-10-23 18:50 Sam James
2023-10-22 19:14 Michał Górny
2023-09-18 14:00 Michał Górny
2023-07-10 1:34 Michał Górny
2023-07-09 18:24 Arthur Zamarin
2023-06-26 4:51 Michał Górny
2023-05-16 5:28 Michał Górny
2023-05-16 3:39 Sam James
2023-04-16 17:10 Michał Górny
2023-04-16 17:04 Arthur Zamarin
2023-04-15 19:39 Michał Górny
2023-03-14 16:57 Michał Górny
2023-02-21 8:00 Michał Górny
2023-02-20 23:28 Sam James
2023-01-17 5:08 Michał Górny
2023-01-15 8:29 Michał Górny
2023-01-15 7:51 Joonas Niilola
2023-01-14 4:57 Michał Górny
2023-01-13 13:21 Michał Górny
2023-01-13 7:09 Michał Górny
2022-11-23 8:41 Michał Górny
2022-11-22 13:37 Joonas Niilola
2022-11-14 5:07 Michał Górny
2022-11-08 14:01 Michał Górny
2022-10-23 18:37 Arthur Zamarin
2022-10-12 20:53 Sam James
2022-10-12 20:53 Sam James
2022-10-12 20:44 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1686207316.0077ae23dd15df50b2ba573c68920533998b1a56.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox